#
# spec file for package sudo (Version 1.6.9p23)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           sudo
BuildRequires:  openldap2-devel pam-devel postfix
PreReq:         coreutils
Version:        1.6.9p23
Release:        0.6.41
AutoReqProv:    on
Group:          System/Base
License:        BSD 3-Clause
Url:            http://www.courtesan.com/sudo
Summary:        Execute some commands as root
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}-1.6.8p12.pamd
Source2:        README.SUSE
Patch0:         %{name}-1.6.8p12-defaults.diff
Patch1:         %{name}-1.6.8p12-sudoers.diff
Patch4:         %{name}-1.6.8p12-__P.diff
Patch5:         %{name}-1.6.8p12-strip.diff
Patch7:         %{name}-1.6.8p12-secure_path.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Sudo is a command that allows users to execute some commands as root.
The /etc/sudoers file (edited with 'visudo') specifies which users have
access to sudo and which commands they can run. Sudo logs all its
activities to syslogd, so the system administrator can keep an eye on
things. Sudo asks for the password for initializing a check period of a
given time N (where N is defined at installation and is set to 5
minutes by default).



Authors:
--------
    Jeff Nieusma <nieusma@rootgroup.com>
    David Hieb <davehieb@rootgroup.com>
    Ian McCloghrie <ian@ucsd.edu>

%prep
%setup -q
%patch0
%patch1
%patch4
%patch5
%patch7
cp %{S:1} %{S:2} .

%build
%ifarch s390 s390x
F_PIE=-fPIE
%else
F_PIE=-fpie
%endif
export CFLAGS="$RPM_OPT_FLAGS -Wall $F_PIE -DLDAP_DEPRECATED"
export LDFLAGS="-pie"
%configure \
	--libexecdir=%{_libexecdir}/sudo \
	--with-noexec=%{_libexecdir}/sudo/sudo_noexec.so \
	--with-logfac=auth \
	--with-insults \
	--with-all-insults \
	--with-ignore-dot \
	--with-tty-tickets \
	--enable-shell-sets-home \
	--with-sudoers-mode=0440 \
	--with-pam \
	--with-ldap \
	--with-env-editor \
	--with-secure-path=/usr/sbin:/bin:/usr/bin:/sbin:/usr/X11R6/bin \
	--with-passprompt='%%p\x27s password:'
# don't know why configure doesn't respect exported LDFLAGS
sed -i "s/^LDFLAGS = $/LDFLAGS = $LDFLAGS/" Makefile
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
install -d -m 700 $RPM_BUILD_ROOT/var/run/sudo
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
install -m 644 sudo-1.6.8p12.pamd $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/sudo
rm -f $RPM_BUILD_ROOT/usr/bin/sudoedit
ln -sf /usr/bin/sudo $RPM_BUILD_ROOT/usr/bin/sudoedit

%post
chmod 0440 %{_sysconfdir}/sudoers

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %attr(0440,root,root) %{_sysconfdir}/sudoers
%config %{_sysconfdir}/pam.d/sudo
%doc BUGS CHANGES HISTORY LICENSE PORTING README README.SUSE
%doc TROUBLESHOOTING *.pod
%doc %{_mandir}/man?/*
%attr(4755,root,root) %{_bindir}/sudo
%{_bindir}/sudoedit
%{_sbindir}/*
%{_libexecdir}/sudo
/var/run/sudo

%changelog
* Mon Aug  9 2010 puzel@novell.com
- update to sudo-1.6.9p23 (fate#309458); major changes:
  * The env_reset option is enabled by default.
    Commands run through sudo now receive a minimal environment with
    certain variables passed through and/or checked. The list of
    variables allowed is configurable via the env_keep and env_check
    options in sudoers.
  * The new -E option will preserve the environment if the SETENV tag
    is set for the command or if the setenv sudoers option is enabled.
  * Environment variables may now be set on the command line in
    the form VAR=value. They are subject to the same restrictions as
    normal environment variables. If the SETENV tag is set for the
    command or if the setenv sudoers option is enabled, the user may
    set variables that would overwise be forbidden.
  * For "visudo -f file" we now use the permissions of the original
    file and not the hard-coded sudoers owner/group/mode.  This makes
    it possible to use visudo with a revision control system.
- drop patches included in upstream:
  * sudo-1.6.8p12-CVE-2010-0426.diff
  * sudo-1.6.8p12-conf.diff
  * sudo-1.6.8p12-pam_limits.diff
  * sudo-1.6.8p12-prompt.diff
* Fri Feb 26 2010 prusnak@suse.cz
- fixed CVE-2010-0426 [bnc#582556]
* Wed Nov 25 2009 prusnak@suse.cz
- fixed multiple quotes in pass prompt [bnc#556749]
* Wed May 13 2009 prusnak@suse.cz
- enable LDAP support [Fate#304519]
* Thu Nov  6 2008 prusnak@suse.cz
- fix sudo doesn't execute pam_limits (pam_limits.diff) [bnc#407231]
* Thu Feb  8 2007 prusnak@suse.cz
- added coreutils to PreReq [#243238]
* Fri Jan 26 2007 prusnak@suse.cz
- added sudoers permission change to %%post section of spec file
  (fix for last change)
* Thu Nov 30 2006 prusnak@suse.cz
- package /etc/sudoers as 0440 [Fate#300934]
* Wed Mar  8 2006 mjancar@suse.cz
- don't limit acces to local users group (#151938)
* Fri Jan 27 2006 mjancar@suse.cz
- set environment and sudo search PATH to SECURE_PATH
  only when env_reset (#145687)
* Thu Jan 26 2006 schwab@suse.de
- Fix syntax error in /etc/sudoers.
* Thu Jan 26 2006 mjancar@suse.cz
- fix PATH allways reset (#145687)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 15 2006 schwab@suse.de
- Don't strip binaries.
* Tue Jan 10 2006 mjancar@suse.cz
- fix CVE-2005-4158 (#140300)
  * compile with --with-secure-path
  * use always_set_home and env_reset by default
- document purpose of the default asking for root password
* Wed Dec 21 2005 mjancar@suse.cz
- update to 1.6.8p12
* Fri Dec  9 2005 ro@suse.de
- disabled selinux
* Tue Aug  2 2005 mjancar@suse.cz
- update to 1.6.8p9
* Mon Jun 20 2005 anicka@suse.cz
- build position independent binaries
* Mon Feb 28 2005 ro@suse.de
- update to 1.6.8p7
* Mon Nov 15 2004 kukuk@suse.de
- Use common PAM config files
* Mon Sep 13 2004 ro@suse.de
- undef __P first
* Tue Apr  6 2004 kukuk@suse.de
- fix default permissions of sudo
* Fri Mar 26 2004 ro@suse.de
- added postfix to neededforbuild
* Wed Feb 25 2004 lnussel@suse.de
- Add comment and warning for 'Defaults targetpw' to config file
* Thu Jan 29 2004 kukuk@suse.de
- Fix sudo configuration broken by last patch
* Wed Jan 28 2004 kukuk@suse.de
- Add SELinux patch
* Thu Jan 22 2004 ro@suse.de
- package /etc/sudoers as 0640
* Fri Jan 16 2004 kukuk@suse.de
- Add pam-devel to neededforbuild
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Nov  7 2003 schwab@suse.de
- Fix quoting in configure script.
* Wed Sep 10 2003 mjancar@suse.cz
- move the defaults to better place in /etc/sudoers (#30282)
* Mon Aug 25 2003 mjancar@suse.cz
- update to 1.6.7p5
  * Fixed a problem with large numbers
    of environment variables.
- more useful defaults (#28056)
* Wed May 14 2003 mjancar@suse.cz
- update to version 1.6.7p4
* Fri Feb  7 2003 kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so
* Wed Jun  5 2002 pmladek@suse.cz
- updated to version 1.6.6
- removed obsolete heap-overflow fix in prompt patch
* Mon Apr 22 2002 pmladek@suse.cz
- fixed a heap-overflow (prompt patch)
- fixed prompt behaviour, %%%% is always translated to %% (prompt patch)
* Tue Feb 12 2002 pmladek@suse.cz
- insults are really off by default now [#13134]
- sudo.pamd moved from patch to sources
- used %%defattr(-,root,root)
* Thu Jan 24 2002 postadal@suse.cz
- updated to version 1.6.5p2
* Thu Jan 17 2002 pmladek@suse.cz
- updated to version 1.6.5p1
- removed obsolete security patch (to do not run mailer as root),
  sudo runs mailer again as root but with hard-coded environment
* Wed Jan  2 2002 pmladek@suse.cz
- aplied security patch from Sebastian Krahmer <krahmer@suse.de>
  to do not run mailer as root
- NOTIFY_BY_EMAIL enabled
* Tue Oct 30 2001 bjacke@suse.de
- make /etc/sudoers (noreplace)
* Wed Aug 15 2001 pmladek@suse.cz
- updated to version 1.6.3p7
* Tue Aug 14 2001 ro@suse.de
- Don't use absolute paths to PAM modules in PAM config files
* Tue Feb 27 2001 pblaha@suse.cz
- update on 1.6.3p6 for fix potential security problems
* Mon Jun 26 2000 schwab@suse.de
- Add %%suse_update_config.
* Thu May  4 2000 smid@suse.cz
- upgrade to 1.6.3
- buildroot added
* Tue Apr  4 2000 uli@suse.de
- added "--with-env-editor" to configure call
* Wed Mar  1 2000 schwab@suse.de
- Specfile cleanup, remove Makefile.Linux
- /usr/man -> /usr/share/man
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jun  9 1999 kukuk@suse.de
- update to version 1.5.9p1
- enable PAM
* Thu Jan  2 1997 florian@suse.de
- update to version 1.5.2
- sudo has changed a lot, please check the sudo documentation
